<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "inquirer_question".
 *
 * @property int $id
 * @property string $text
 * @property string $active доступна
 * @property string $show показывать на главной
 * @property string $dt_cr
 * @property string $dt_pub
 * @property string $dt_end
 */
class InquirerAnswer extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'inquirer_answer';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['text'], 'required'],
            [['text', 'type'], 'string'],
            [['count'], 'integer'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'idq' => 'ID Вопроса',
            'text' => 'Ответ',
            'type' => 'тип ответа',
            'count' => 'счётчик',
        ];
    }
}
